Bug 89037 - Enhancement: native OpenGPG support
Summary: Enhancement: native OpenGPG support
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.1.1 release
Hardware: Other All
: medium enhancement
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard:
Keywords:
Depends on: 112098 114550
Blocks: Digital-Signatures
  Show dependency treegraph
 
Reported: 2015-02-02 05:42 UTC by Al Tarakanoff
Modified: 2018-03-26 16:41 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Al Tarakanoff 2015-02-02 05:42:28 UTC
Is it possible to implement OpenGPG support into LibreOffice? There is a user case: user may have an access to certain file and anybody else may not. It is comfortable to use OpenGPG right in LibreOffice, is not it?
Comment 1 Robinson Tryon (qubit) 2015-02-02 06:54:08 UTC
(In reply to Al Tarakanoff from comment #0)
> Is it possible to implement OpenGPG support into LibreOffice? There is a
> user case: user may have an access to certain file and anybody else may not.
> It is comfortable to use OpenGPG right in LibreOffice, is not it?

There's been some work on signing and certificates lately. It's possible that this idea could build on top of what's been done there.

Status -> NEW

This is an enhancement, so
Severity -> enhancement

Missing version, so I'll guess
Version -> 4.4.0.3
Comment 2 Samuel Mehrbrodt (CIB) 2017-06-22 14:39:30 UTC
Support for signing using gpg keys has been added to LO 5.4 (Linux only so far).
Encryption using gpg is planned for 6.0.
Comment 3 Fred 2017-08-11 06:47:45 UTC
If you need anyone to test functionality on Mac, please send me a heads up.  I run macos 10.12.6 with GPGtools 2017.1b3 (gpgtools.org) so baseline support is available, and I'm about to update my LO install to 5.4, UK language pack.  

Note that I'm not a developer but happy to contribute in the form of feedback, diagnostics, bad humour etc - I think PGP integration for doc signing as well as doc confidentiality is a good goal as it's a fully open and documented process, and ECDSA sign verification does not really work that well across national borders (that's a diplomatic problem, not a code issue :) ).
Comment 4 Bastián Díaz 2017-12-11 09:36:12 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #2)

> Encryption using gpg is planned for 6.0.

The symmetric encryption of PGP will be considered as part of this functionality?
Comment 5 Thorsten Behrens (CIB) 2018-01-13 13:43:09 UTC
(In reply to Bastián Díaz from comment #4)
> The symmetric encryption of PGP will be considered as part of this
> functionality?
>
Yes, see commits and comments in bug 114550 - setting this to fixed now, too.
Comment 6 Thorsten Behrens (CIB) 2018-01-13 13:44:21 UTC
(In reply to Fred from comment #3)
> If you need anyone to test functionality on Mac, please send me a heads up. 
> I run macos 10.12.6 with GPGtools 2017.1b3 (gpgtools.org) so baseline
> support is available, and I'm about to update my LO install to 5.4, UK
> language pack.  
> 
Can you install 6.0 RC1 then please, signing and (saving as) encrypted GPG should work there?
Comment 7 Bastián Díaz 2018-01-31 22:15:28 UTC
(In reply to Thorsten Behrens (CIB) from comment #5)
> (In reply to Bastián Díaz from comment #4)
> > The symmetric encryption of PGP will be considered as part of this
> > functionality?
> >
> Yes, see commits and comments in bug 114550 - setting this to fixed now, too.

I understand, however, I think I was not specific enough. Testing the newly launched LO 6.0, it is possible to encrypt documents with previously created keys (and can be open with the password defined in the key), however, I was referring to the possibility of creating documents with symmetric encryption adding a password on demand.

My use case is to be able to share documents with agnostic encryption, since third party applications have ODF support, but not their native encryption (eg softmaker office). I currently do this using "seahorse nautilus plugin", but it was a good opportunity to do it natively in LO.
Comment 8 Thorsten Behrens (CIB) 2018-01-31 22:25:11 UTC
(In reply to Bastián Díaz from comment #7)
> My use case is to be able to share documents with agnostic encryption, since
> third party applications have ODF support, but not their native encryption
> (eg softmaker office). I currently do this using "seahorse nautilus plugin",
> but it was a good opportunity to do it natively in LO.

But then by definition you don't want/cannot use any LibreOffice-internal encryption?

Note also that encrypting documents by providing a password is possible in LibreOffice since many years.
Comment 9 Kysh 2018-02-28 07:34:58 UTC
Am running mac osx 10.13.3 with LO 6.0.1.1 and GPG Suite 2018.1 (gpgtools.org).

No Digital signatures are listed in File/Digital Signatures/Digital Signatures even though I have a valid OpenPGP key (Usable in Mail.app).

Clicking on Start Certificate manager, I get an error "Could not find any certificate manager".

Are there any additional steps to be used after installing LO and the GPG suite?
Comment 10 Timur 2018-02-28 09:07:13 UTC
@Kysh: I'd be glad to point you to documentation but it doesn't seem updated. I requested it.
Shouldn't be here because it's not a general problem, I have it working in Windows. 
Please first try also with master https://dev-builds.libreoffice.org/daily/master/. And if repro again submit a new bug, at first marked as MacOS. Please CC @Fred there.
Comment 11 Fred 2018-02-28 11:50:59 UTC
Cheers, although I have to remark that I'm as yet unable to do any v6 testing - I have also been bitten by the OpenCL bug (6 keeps crashing and then hanging on doc recovery) and I had to revert to the latest v5 to get any work done.  I'll wait for a week (and get some work done :) ), then pull the latest public version and see what happens.
Comment 12 Kysh 2018-03-26 16:40:23 UTC
@Fred raised a new bug 116638 after following @Timur suggestions. Still no luck. Available to test any time.